# AppManager

A GUI for the OpenBSD package manager.

You can search for packages by typing text. There is a setting if you want to include packages description into the search.

There are four types of lines coloration:
- no coloration: package is not installed and not selected
- green: package is not installed but will be installed
 
- yellow: package is installed
- red: package is installed but you want to desinstall it
 
[![Package list using search](images/list-fs8.png)](images/list-fs8.png)

You are prompted about your changes before applying changes:
[![Package list using search](images/recap-fs8.png)](images/recap-fs8.png)

# How to use

Install packages `godot` and `sqlports`, then execute `make run` in the sources directory.

# How to contribute

The project is done using Godot, import the project in godot editor (`godot-tools` for OpenBSD current and >= 7.2), all the code is there.

# Known bugs

- remove the doas_nopass knob that will run the pkg_add and pkg_delete commands in an external xterm because I can't run those programs silently if doas is asking for password
- resizing is badly handled
